com.saxonica.serialize

## Class SerializationParamsHandler

- java.lang.Object
- - com.saxonica.serialize.SerializationParamsHandler

-     public class SerializationParamsHandler
      extends Object

  This class handles a set of serialization parameters provided in the form of an XDM instance as specified in the Serialization 3.0 definition, section 3.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializationParamsHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Properties` | `getSerializationProperties()`
    `void` | `setLocator(SourceLocator locator)` Set the location of the instruction to be used for error message reporting
    `void` | `setSerializationParams(NodeInfo node)` Set the serialization parameters in the form of an XDM instance

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SerializationParamsHandler

          public SerializationParamsHandler()

  - ### Method Detail

    - #### setLocator

          public void setLocator(SourceLocator locator)

      Set the location of the instruction to be used for error message reporting

    - #### setSerializationParams

          public void setSerializationParams(NodeInfo node)
                                      throws XPathException

      Set the serialization parameters in the form of an XDM instance
      Parameters:
        `node` - either the serialization-parameters element node, or a document node having this element as its only child
      Throws:
        `XPathException` - if incorrect serialization parameters are found

    - #### getSerializationProperties

          public Properties getSerializationProperties()

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.